| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Tp::FunctorCaller2< Functor, R, Arg1, Arg2 > Struct Template Reference

`#include </home/kaffeine/devel/gsoc/release/telepathy-qt/TelepathyQt/callbacks.h>`

Inherits Tp::BaseFunctorCaller< FunctorCaller2< Functor, R, Arg1, Arg2 >, Functor >.

## Public Types

typedef R | ResultType
typedef R(* | InvokeType )(AbstractFunctorCaller *, Arg1, Arg2)
Public Types inherited from Tp::AbstractFunctorCaller
typedef void *(* | HookType )(void *)

## Public Member Functions

| FunctorCaller2 (const Functor &functor)
Public Member Functions inherited from Tp::BaseFunctorCaller< FunctorCaller2< Functor, R, Arg1, Arg2 >, Functor >
| BaseFunctorCaller (const Functor &functor, AbstractFunctorCaller::HookType invokeMethodHook)
virtual | ~BaseFunctorCaller ()
virtual AbstractFunctorCaller * | clone () const
Public Member Functions inherited from Tp::AbstractFunctorCaller
| AbstractFunctorCaller (HookType invokeMethodHook)
virtual | ~AbstractFunctorCaller ()

## Static Public Member Functions

static ResultType | invoke (AbstractFunctorCaller *call, Arg1 a1, Arg2 a2)

## Additional Inherited Members

Public Attributes inherited from Tp::BaseFunctorCaller< FunctorCaller2< Functor, R, Arg1, Arg2 >, Functor >
Functor | functor
Public Attributes inherited from Tp::AbstractFunctorCaller
HookType | invokeMethodHook

## Member Typedef Documentation

template<class Functor , class R , class Arg1 , class Arg2 >

typedef R Tp::FunctorCaller2< Functor, R, Arg1, Arg2 >::ResultType

template<class Functor , class R , class Arg1 , class Arg2 >

typedef R(* Tp::FunctorCaller2< Functor, R, Arg1, Arg2 >::InvokeType)(AbstractFunctorCaller *, Arg1, Arg2)

## Constructor & Destructor Documentation

template<class Functor , class R , class Arg1 , class Arg2 >

Tp::FunctorCaller2< Functor, R, Arg1, Arg2 >::FunctorCaller2 | ( | const Functor & | functor | ) |

inline explicit

## Member Function Documentation

template<class Functor , class R , class Arg1 , class Arg2 >

static ResultType Tp::FunctorCaller2< Functor, R, Arg1, Arg2 >::invoke | ( | AbstractFunctorCaller * | call,
|  | Arg1 | a1,
|  | Arg2 | a2
| ) |  |

inline static